/// 实时媒体配置
abstract class FRTMediaConfig {
  FRTMediaConfig._();

  /// 当前实时服务类型
  static FRealTimeMediaServiceType serviceType = FRealTimeMediaServiceType.trtc;

  /// TRTC配置
  static FMediaTRTCConfig trtc = FMediaTRTCConfig();
}

/// TRTC配置
class FMediaTRTCConfig {
  /// 应用标识
  int appid = 0;
}

/// 实时音视频支持的服务
enum FRealTimeMediaServiceType {
  /// 腾讯实时音视频
  trtc,

  /// Vinno实时音视频
  vrtc,

  /// 大牛RTMP
  ntRtmp,
}
