/// 成员角色类型
enum MemberRoleType {
  /// 未知
  unknown,

  /// 访客
  visitor,

  /// 普通
  normal,
}

/// 分辨率
enum Resolutions {
  /// 1080P - 1920x1080
  fhd_1080p,

  /// 720p - 1280x720
  hd_720p,

  /// 480p - 640x480
  sd_480p,
}

/// 分辨率方向模式（横/竖屏）
enum ResolutionMode {
  /// 横屏
  landscape,

  /// 竖屏
  portrait,
}
