import 'enums.dart';

/// 成员接口
abstract class IMember {
  /// 唯一编号
  String get id;

  /// 成员类型
  MemberRoleType get roleType;
}

/// 本地成员参数
abstract class ILocalMemberParams {
  /// 用户ID
  String? get userId;

  /// 用户签名
  String? get userSig;

  /// 获取参数值
  dynamic getParam(String paramKey);
}
