import 'package:tencent_trtc_cloud/trtc_cloud.dart';
import 'package:tencent_trtc_cloud/tx_device_manager.dart';

class TrtcClientGetterMixin {
  static late TRTCCloud sharedInstance;

  /// trtc客户端实例
  TRTCCloud get client => sharedInstance;

  /// 设备管理器
  TXDeviceManager get deviceManager => client.getDeviceManager();
}
