import 'dart:collection';

import 'package:fis_common/event/event_type.dart';

import 'channel.dart';

/// 播放器
abstract class IPlayer {
  /// 播放频道集合
  UnmodifiableListView<IPlayChannel> get channels;

  /// 频道增加事件
  late final FEventHandler<IPlayChannel> channelAdded;

  /// 频道移除事件
  late final FEventHandler<IPlayChannel> channelRemoved;
}
